ChangeSet 1.1500.8.7, 2004/01/29 16:19:40-08:00, kevino@asti-usa.com

[PATCH] USB: ehci - clear TT buffer command patch

I have a patch for a typo in the 2.6.0 kernel, drivers/usb/core/hub.c,

in hub_clear_tt_buffer, the value USB_DIR_IN | USB_RECIP_OTHER is used
for bmRequestType, when section 11.24.2 of the spec says it should
really be USB_RT_PORT, or 00100011b.

After limited testing, this change exhibited better recovery from TT
errors, here's the patch :


 drivers/usb/core/hub.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Mon Feb  9 14:41:52 2004
+++ b/drivers/usb/core/hub.c	Mon Feb  9 14:41:52 2004
@@ -179,7 +179,7 @@
 hub_clear_tt_buffer (struct usb_device *hub, u16 devinfo, u16 tt)
 {
 	return usb_control_msg (hub, usb_rcvctrlpipe (hub, 0),
-		HUB_CLEAR_TT_BUFFER, USB_DIR_IN | USB_RECIP_OTHER,
+		HUB_CLEAR_TT_BUFFER, USB_RT_PORT,
 		devinfo, tt, 0, 0, HZ);
 }
 
